Package org.eclipse.cdt.utils.coff

## Class PE64.ImportDirectoryEntry

- java.lang.Object
- - org.eclipse.cdt.utils.coff.PE64.ImportDirectoryEntry

Enclosing class:
  PE64

    public class PE64.ImportDirectoryEntry
    extends Object

### Field Summary

Fields
`static int` `ENTRYSZ`
`int` `forwarder`
`int` `name`
`int` `rva`
`int` `thunk`
`int` `timestamp`

### Constructor Summary

Constructors
`ImportDirectoryEntry​(RandomAccessFile file)`
`ImportDirectoryEntry​(RandomAccessFile file, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ENTRYSZ

    public static final int ENTRYSZ

See Also:
  Constant Field Values

#### rva

    public int rva

#### timestamp

    public int timestamp

#### forwarder

    public int forwarder

#### name

    public int name

#### thunk

    public int thunk

### Constructor Detail

#### ImportDirectoryEntry

    public ImportDirectoryEntry​(RandomAccessFile file)
                         throws IOException

Throws:
  `IOException`

#### ImportDirectoryEntry

    public ImportDirectoryEntry​(RandomAccessFile file,
                                long offset)
                         throws IOException

Throws:
  `IOException`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`